<?php declare(strict_types=1);
/**
 * @author Ryan Spaeth <rspaeth@spaethtech.com>
 * @copyright 2025 - Spaeth Technologies, Archous Networks
 */

namespace SpaethTech\UCRM\SDK\Configs\Interfaces;

interface ConfigInterface extends ReadOnlyConfigInterface
{
    public function save(): self;
    public function set(string $key, mixed $value): self;
}
